Subject: Re: organizing multiple repositories with dependencies

From: <[email-masked]>
Date: Mon, 16 Apr 2012 15:08:31 -0500

Jakub Narebski <[email-masked]> writes:

> Put reusable library in its own repository, and use submodules to link
> it up to project-a and project-b repositories.

git-subtree is another option.  It was recently merged into contrib/.
Whether to use submodules or subtrees largely depends on the work style
of your group and how coupled the projects are to each other.
submodules requires a bit more day-to-day maintenance by the user (in my
experience) while with subtrees it's a bit more involved to push changes
from the combined repository back to the separate repositories.

                              -Dave